using RoR2.EntitlementManagement;
using UnityEngine;

namespace RoR2.ExpansionManagement;

[CreateAssetMenu(menuName = "RoR2/ExpansionDef")]
public class ExpansionDef : ScriptableObject
{
	[SerializeField]
	[HideInInspector]
	public ExpansionIndex expansionIndex;

	[Tooltip("The entitlement required to use this expansion.")]
	public EntitlementDef requiredEntitlement;

	[Tooltip("The token for the user-facing name of this expansion.")]
	public string nameToken;

	[Tooltip("The token for the user-facing description of this expansion.")]
	public string descriptionToken;

	[Tooltip("The icon for this expansion.")]
	[ShowThumbnail]
	public Sprite iconSprite;

	[Tooltip("The icon to display when this expansion is disabled.")]
	[ShowThumbnail]
	public Sprite disabledIconSprite;

	public RuleChoiceDef enabledChoice;

	[Tooltip("This prefab is instantiated and childed to the run")]
	public GameObject runBehaviorPrefab;
}
